이미 사용 중인 의사결정 풀 이름

Moses Skoda엔지니어1분 소요

이 문제가 발생하면 API는 409 Conflict 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/decision-pool-name-taken입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

조직에 "<name>"이라는 이름의 활성 의사결정 풀이 이미 있습니다. 다른 이름을 선택하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
namestring

예시#

json
{
  "detail": "The organization already has an active decision pool named \"<name>\". Pick another name.",
  "name": "<name>",
  "type": "https://lingo.dev/docs/api/errors/decision-pool-name-taken",
  "status": 409,
  "title": "Decision pool name taken"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/organizations/{orgId}/decision-pools/{id}
  • POST /v2/organizations/{orgId}/decision-pools